@import url('./color-variables.css');
@import url('./buttons.css');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
}

body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 14px;
}

hr {
  margin: 20px 0;
  border: none;
  border-top: 1px solid #eeeeee;
}

a {
  text-decoration: none;
}

.text-input {
  border: none;
  outline: none;
  border-radius: 5px;
  padding: 8px;
  width: 100%;
  font-size: 1rem;
  font-weight: normal;
  font-style: italic;
  color: var(--color-text-grey);
}

.text-input:focus {
  box-shadow: 0 0 5px var(--color-white);
}

.text-input::placeholder {
  color: var(--color-text-grey);
}

.text-input--border-radius {
  flex: 2 1 80%;
  border-radius: 0 5px 5px 0;
}

.help {
  margin-top: 30px;
  border-radius: 5px;
  overflow: hidden;
}

.help--no-margin {
  margin: 0;
}

.help--border-radius {
  border-radius: 0 0 5px 5px;
}

/* social-network */

.social-network {
  position: fixed;
  top: 160px;
  right: 0;
  z-index: 1;
}

.social-network__item {
  display: block;
  width: 40px;
  height: 45px;
  margin: 5px 0;
}

.social-network__item--sena {
  background: url('../assets/images/social/sena.jpg');
}

.social-network__item--fb {
  background: url('../assets/images/social/fb.jpg') no-repeat;
}

.social-network__item--tw {
  background: url('../assets/images/social/tw.jpg') no-repeat;
}

.social-network__item--yt {
  background: url('../assets/images/social/yt.jpg') no-repeat;
}

.social-network__item--ig {
  background: url('../assets/images/social/ig.jpg') no-repeat;
}

/* Header and nav styles */

.header {
  margin-bottom: 3.6rem;
}

.logos {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.logos__img {
  width: auto;
  min-width: 200px;
}

.nav {
  background: var(--color-primary);
}

.nav__menu {
  display: flex;
  margin: 0 auto;
  width: 65%;
}

.nav__menu-item {
  flex: 1 1 calc(100% / 5);
}

.nav__menu-item:hover {
  background: var(--color-primary-dark);
}

.nav__menu-item > a {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: var(--color-white);
  text-decoration: none;
  height: 55px;
}

.welcome,
.careers,
.main {
  margin: 0 auto;
  width: 85%;
}

/*
  Welcome section
*/

.welcome {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.welcome__title {
  font-size: 1.45rem;
  color: var(--color-text-blue);
}

.inscriptions {
  display: flex;
  border-radius: 5px;
  overflow: hidden;
  width: 365px;
  cursor: pointer;
  height: auto;
  min-height: 70px;
}

.inscriptions__date,
.inscriptions__description {
  font-size: 0.8rem;
  line-height: 16px;
  text-align: center;
  height: inherit;
}

.inscriptions__date {
  flex: 1 1 35%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  border: 5px solid var(--color-background-grey-medium);
  background: var(--color-primary);
  color: var(--color-white);
}

.inscriptions__date:hover {
  background: var(--color-primary-dark);
}

.inscriptions__date:hover ~ .inscriptions__description{
  color: var(--color-text-blue);
}

.inscriptions__description {
  flex: 1 1 65%;
  display: flex;
  align-items: center;
  padding: 10px 20px;
  border: 1px solid var(--color-background-grey-medium);
  background: var(--color-background-grey);
  color: var(--color-text-blue-dark);
}

.inscriptions__description:hover {
  color: var(--color-primary);
}

/*
  careers section
*/

.careers,
.careers__item {
  display: flex;
}

.careers__item {
  flex: 1 1 calc(100% / 5);
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.careers__item:hover .careers__title {
  color: var(--color-text-blue);
}

.careers__image {
  overflow: hidden;
  width: 50px;
  height: 50px;
  border-radius: 100%;
  margin: 0 auto;
  margin-bottom: 8px;
}

.careers__image:hover {
  background-color: var(--color-primary-dark);
}

.img1 {
  background: var(--color-primary) url('../assets/images/icons/tecnicas.png') center center no-repeat;
}

.img2 {
  background: var(--color-primary) url('../assets/images/icons/tecnicavirtual.png') center center no-repeat;
}

.img3 {
  background: var(--color-primary) url('../assets/images/icons/cursoscortos.png') center center no-repeat;
}

.img4 {
  background: var(--color-primary) url('../assets/images/icons/virtual.png') center center no-repeat;
}

.img5 {
  background: var(--color-primary) url('../assets/images/icons/ingles.png') center center no-repeat;
}

.careers__title {
  font-weight: normal;
  color: var(--color-text-blue-dark);
  text-align: center;
}

.careers__title:hover {
  color: var(--color-primary-dark) !important;
}

/* main section */

.main {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 350px 300px auto;
  grid-template-areas: "search search login-options"
                       "slides tweets guides"
                       "questions questions questions";
  gap: 30px;
  margin-bottom: 20px;
}

/* search */

.search {
  grid-area: search;
}

.search__container {
  border-radius: 10px;
  background: var(--color-background-grey-dark);
  color: var(--color-white);
  padding: 20px;
  height: calc(100% - 64px);
}

.search-form__section {
  margin-bottom: 30px;
}

.search-form__title {
  font-weight: normal;
  font-size: .9rem;
  margin-bottom: 10px;
}

.input-container {
  display: flex;
  justify-content: space-between;
}

.list-container {
  flex: 1 1 20%;
  position: relative;
  background: var(--color-background-grey-medium) url('../assets/images/icons/pin.png') no-repeat 122px center;
  border-radius: 5px 0 0 5px;
  padding: 10px;
}

.list-container__title {
  color: var(--color-black);
  font-size: .7rem;
}

.list-container:hover > .list-container__list {
  display: block;
}

.list-container__list {
  display: none;
  position: absolute;
  top: 35px;
  background: var(--color-white);
  padding: 8px;
  color: var(--color-black);
}

.search-form__section--no-margin {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin: 0;
}

.list-options {
  flex: 1 1 80%;
}

.search-form__section--no-margin > .button {
  flex: 1 1 20%;
}

.list-options__item {
  margin: 10px 0;
  font-size: .8rem;
}

.options__item .check-input:checked {
  box-shadow: 0 0 5px var(--color-white);
}

/* login-options */

.login-options {
  grid-area: login-options;
}

.login-options__container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: calc(100% - 64px);
}

.register,
.login {
  overflow: hidden;
  background: var(--color-background-grey);
  border: 1px solid var(--color-background-grey-medium);
  border-radius: 5px;
}

.register__content,
.login__content {
  display: flex;
  justify-content: space-between;
}

.register__image,
.login__image {
  margin-left: 20px;
  width: 40px;
}

.register__image {
  background: url('../assets/images/icons/register.png') no-repeat center center;
  cursor: pointer;
}

.register__image:hover {
  background: url('../assets/images/icons/register2.png') no-repeat center center;
}

.login__image {
  background: url('../assets/images/icons/ingresoico.png') no-repeat center center;
  cursor: pointer;
}

.login__image:hover {
  background: url('../assets/images/icons/ingresoico2.png') no-repeat center center;
}

.register__description,
.login__description {
  width: 90%;
  font-size: .95rem;
  line-height: 1.4;
  text-align: left;
  padding: 20px;
}

.search .help > .button:nth-child(1) {
  float: left;
  width: 90%;
  border-radius: 0;
}

.search .help > .button:nth-child(2) {
  width: 10%;
  border-radius: 0;
}

/* slides */

.slides {
  grid-area: slides;
}

.slides__container {
  display: flex;
  justify-content: center;
  background: var(--color-background-grey);
  border: 1px solid var(--color-background-grey-medium);
  border-radius: 5px 5px 0 0;
  padding: 15px;
  height: 266px;
}

.slides__content {
  order: 3;
  cursor: pointer;
  overflow-y: scroll;
}

.slides__container .prev {
  order: 1;
}

.slides__container .next {
  order: 3;
}

.prev,
.next {
  font-size: 2rem;
  color: var(--color-tertiary);
}

.slides__title {
  padding: 0 30px;
  line-height: 22px;
  margin-bottom: 15px;
}

.slides__text {
  font-size: .75rem;
  line-height: 35px;
}

/* tweets */

.tweets {
  grid-area: tweets;
}

.tweets__container {
  height: 100%;
  overflow: scroll;
}

/* guides */

.guides {
  grid-area: guides;
}

.guides__container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.guides__item {
  flex: 1 1 auto;
  display: flex;
  border: 1px solid var(--color-background-grey-medium);
  border-radius: 5px;
  overflow: hidden;
}

.guides__item:not(:last-child) {
  margin-bottom: 15px;
}

.guides__item > span {
  display: flex;
  align-items: center;
  height: 100%;
  font-size: .95rem;
  padding: 20px 30px 20px 20px;
  cursor: pointer;
}

.guides__item:nth-child(1) > span {
  padding: 10px 30px 10px 20px;
}

.guides__item > span:nth-child(2) {
  order: 1;
}

.guides__item > span:nth-child(1) {
  order: 2;
  color: var(--color-white);
}

.guides__item > span:nth-child(1):hover + span:nth-child(2){
  color: var(--color-text-blue);
}

/* questions */

.questions {
  grid-area: questions;
}

.questions__container {
  display: flex;
  align-items: center;
  background: var(--color-background-grey-dark);
  border: 1px solid var(--color-background-grey-medium);
  border-radius: 5px;
  padding: 15px 30px 15px 105px;
}

.questions__title {
  flex: 1 2 67%;
  color: var(--color-white);
  font-size: 1.05rem;
  font-weight: normal;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  background: var(--color-background-grey);
  border-top: 1px solid var(--color-background-grey-medium);
  padding: 10px 120px;
  font-size: .81rem;
  line-height: 18px;
  color: var(--color-text-grey-dark);
}

.more-information__title {
  display: inline-block;
  font-size: .7rem;
  margin-bottom: 10px;
}

.more-informacion__contact {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.schedule {
  text-align: right;
}

.author {
  background: var(--color-background-grey-medium);
  padding: 10px;
  text-align: center;
  font-size: .8rem;
}